Bug 613235 - Cannot edit local Alias for accounts in Empathy Edit > Personal Information dialog
Summary: Cannot edit local Alias for accounts in Empathy Edit > Personal Information d...
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: empathy
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Brian Pepple
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-10 07:36 UTC by Christofer C. Bell
Modified: 2011-06-29 13:44 UTC (History)
2 users (show)

(edit)
Clone Of:
: 643983 (view as bug list)
(edit)
Last Closed: 2011-06-29 13:44:39 UTC


Attachments (Terms of Use)
Sequence of events: Edit AIM account Alias, edit the Alias for the account, navigate away to a Gmail account, return to AIM accoun to see Alias is unchanged. Gmail alias not configured through Empathy (423.68 KB, image/png)
2010-07-10 07:36 UTC, Christofer C. Bell
no flags Details

Description Christofer C. Bell 2010-07-10 07:36:46 UTC
Created attachment 430836 [details]
Sequence of events: Edit AIM account Alias, edit the Alias for the account, navigate away to a Gmail account, return to AIM accoun to see Alias is unchanged. Gmail alias not configured through Empathy

Description of problem:

The "Alias" for an account cannot be set using Edit > Personal Information.  When one selects this menu item in the main Empathy UI, a dialog is displayed that should allow the user to edit the local alias displayed locally in place of their handle during IM chats.

Selecting an account and changing the Alias entry is possible, however, when one navigates away from this dialog and returns to it, the changes are are reverted.  The handle still appears as the local alias in IM chats rather than what the user has input as the desired alias.

Version-Release number of selected component (if applicable):

empathy-2.30.2-3.fc13.i686

How reproducible:

Every time, without exception.

Steps to Reproduce:
1. Run Empathy
2. Select Edit > Personal Information in the main UI
3. Select an account using the pull down that you want to change the alias for.
4. Enter in a new alias in the 'Alias' portion of the dialog.
5. Select Close
6. Initiate a chat using that account and note that the new alias is not being used.
7. Return to Edit > Personal Information > $account, note that the new alias is not saved.
  
Actual results:

Any new local alias set by the user should be displayed during IM chats as the personal handle in the IM conversation window.

Expected results:

The account's actual IM handle (login name) is used instead.  The personally set alias is not saved.

Additional info:

The new alias is not saved when navigating between accounts in the Edit > Personal Information dialog, either.  When you get to step 5 in the above, instead of closing the dialog, simply pick a different IM account from the drop down, then return to the one you edited. Your changes are not saved.  This sequence of events is what's depicted in the attached screenshots.

Comment 1 Juan J. Martínez 2010-10-18 17:56:11 UTC
This problem is in empathy 2.32.0.1 too (Fedora 14 beta).

Upstream bug: https://bugzilla.gnome.org/show_bug.cgi?id=631730

Comment 2 Juan J. Martínez 2010-11-21 21:20:16 UTC
As workaround I've used /nick ALIAS in a IRC chat and seems that Empathy is using that alias.

I really don't understand what's happening with this issue, but right now I have the alias I want.

Comment 3 Bug Zapper 2011-06-01 14:17:53 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2011-06-29 13:44:39 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.